%define ver_major 2.4
%def_without static

Name: gnome-panel
Version: %ver_major.1
Release: alt2

Summary: The core programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: gnome-panel2
Source2: altlinux.png

Patch: %name-2.3.0-alt-menu_distribution.patch
Patch3: %name-2.3.3.1-alt-default_setup.patch
Patch4: %name-2.2.1-alt-systray_fix.patch
Patch5: %name-2.1.90.1-rh-null.patch

%define rpm_ver 0.4-alt14
%define ORBit_ver 2.8.2
%define gtk_ver 2.2.4
%define libbonoboui_ver 2.4.0
%define libgnomeui_ver 2.4.0
%define libwnck_ver 2.4.0
%define desktop_ver 2.4.1
%define glade_ver 2.0.1-alt2
%define gnome_vfs_ver 2.4.1
%define intltool_ver 0.27.2
%define pkgconfig_ver 0.15
%define scrollkeeper_ver 0.3.12
%define GConf_ver 2.4.0
%define gnome_common_ver 2.3.0

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver

Requires: lib%name = %version-%release
Requires: ORBit2 >= %ORBit_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libwnck >= %libwnck_ver
Requires: gnome-desktop >= %desktop_ver
Requires: libglade2 >= %glade_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: menu >= 2.1.5-ipl80mdk

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: rpm >= %rpm_ver
BuildPreReq: gnome-common >= %gnome_common_ver
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver

# Automatically added by buildreq on Tue Aug 19 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs XFree86-utils docbook-dtds docbook-style-dsssl esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-common gnome-vfs2-devel gtk-doc indent libGConf2-devel libIDL libORBit2 libOpenSP libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-desktop-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpng-devel libpopt-devel libssl-devel libstartup-notification-devel libwnck-devel libxml2-devel libxslt openjade pkgconfig scrollkeeper sgml-common zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

The GNOME panel packages provides the gnome panel, menu's and some
basic applets for the panel.

%package -n lib%name
Summary: GNOME panel shared libraries
Group: System/Libraries

%description -n lib%name
Panel shared libraries for creating GNOME panels.

%package -n lib%name-devel
Summary: GNOME panel libraries, includes, and more
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: ORBit2-devel >= %ORBit_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: libbonoboui-devel >= %libbonoboui_ver
Requires: libwnck-devel >= %libwnck_ver
Requires: libglade2-devel >= %glade_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgnome-desktop-devel >= %desktop_ver

# for Wanda
Requires: fortune-mod

%description -n lib%name-devel
Panel libraries and header files for creating GNOME panels.

%package -n lib%name-devel-static
Summary: GNOME panel static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Panel static libraries for creating GNOME panels.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_libdir/%name-2.0/applets

%prep
%setup -q
%patch -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%__subst 's,\(msgstr \"\)۲۴\(\"\),\124\2,' po/fa.po
%__subst 's,\(msgstr \"\)২৪\(\"\),\124\2,' po/bn.po

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
gnome-doc-common --copy
%__automake -a -c -f
%__autoconf
export DATADIRNAME=share
%configure --disable-schemas-install

# SMP-incompatible build
%make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# install menu-metod script and icons
%__install -pD %SOURCE1 %buildroot%_sysconfdir/menu-methods/gnome-panel2
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/altlinux.png

%find_lang --with-gnome --output=%name.lang %name %name-2.0 clock fish-applet-2 window-list workspace-switcher

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Configuration/Gnome" \
    %buildroot%_datadir/control-center-2.0/*/gnome-panel-preferences.desktop \
    %buildroot%_menudir/%name "gnome"

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%define schemas clock fish gnome-panel-screenshot panel-general panel-global panel-object panel-toplevel window-list workspace-switcher
%define schemas_compat panel-compatibility

%post
%gconf2_install %schemas %schemas_compat

%_gconf2_bin --direct --config-source=%gconf2_default_source \
--load=%_sysconfdir/gconf/schemas/panel-default-setup.entries

%update_scrollkeeper
%update_menus

%preun
%gconf2_uninstall %schemas

%postun
%clean_scrollkeeper
%clean_menus

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_libexecdir
%_libexecdir/*
%_libdir/bonobo/*/*
%_datadir/control-center-2.0/*/*
%dir %_datadir/gnome/panel
%_datadir/gnome/panel/*
%dir %_datadir/%name
%dir %_datadir/%name/glade
%_datadir/%name/glade/*
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_datadir/gnome-panelrc
%config %_sysconfdir/gconf/*/*
%config %_sysconfdir/menu-methods/*
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name
%_libdir/libclock-applet-2.so
%_libdir/libpanel-applet-2.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/libpanel-applet-2.so
%_libdir/pkgconfig/*
%doc %_gtk_docdir/*

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Sep 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.91-alt1
- 2.3.91

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.2-alt1
- 2.3.6.2

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.3-alt1
- 2.3.3.3

* Tue Jul 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.2-alt1
- 2.3.3.2

* Fri Jun 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2.1-alt1
- 2.3.2.1

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- added hack to allow dock qt (non-gtk) applications, we will need it
  for rhn-applet like programs (security update notificator) (inger)

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- Try to load default settings from gconftool dump.

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt3
- fixed systray on exit crash (#2228)

* Thu Feb 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt2
- fixed systray help call.

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90.1-alt1
- 2.1.90.1

* Thu Dec 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt3
- Schemas installation fixed.

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt2
- made gnome2 menus in utf-8, we need it for correct work of Gnome2 in
  ru_RU.CP1251 locale. Thanks to inger.
- Return customization patch back.

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Sat Oct 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt2
- customization patch removed, we use gconf2_* macros.

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt3
- fix customization patch

* Thu Oct 10 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt2
- Added customization for panel (default settings):
  TODO: to add new galeon and evolution

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.9-alt1.1
- fixed wrong syntax in %%post (%%gconf2_install)
- removed SMP build

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.9-alt1
- 2.0.9

* Thu Jun 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- Adopted for Sisyphus.
- menu_distribution.patch by BlaKe <blake@altlinux.ru>
- (blake)
    + fix lost files
    + added altlinux.png icon for menu
    + added script for support menu
- libname{,-devel{,-static}} packages.
- scrollkeeper-update starts in post.
- (blake) fix error in install
- gen_util_build.patch

* Tue Mar 12 2002 <glynn.foster@sun.com>
- fix up gconf schema install

* Mon Mar  4 2002  <gleblanc@linuxweasel.com>
- made into a proper .spec.in, using the magic version numbers and such

* Mon Feb 18 2002  <gleblanc@linuxweasel.com>
- flagged man pages as documentation

* Mon Feb 18 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- remove extra tab from header
- added defattr to devel package
- moved defattr to make sure that it owns the random package docs
- moved the idl files into the main package, as when perl bindings arrive, they'll want to use them at run-time
- made it not own the omf dir
- moved the line for the GNOME help stuff back into the section with the rest of the regular files
- changed name of find_lang's output file
- removed some whitespace from the install section
- removed some tabs from the devel package headers
- make release number funky, so that people know it's a snapshot
- use auto* version
- group all BuildRequires together

* Fri Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file
- cleaned up header
- moved gnome/help to doc section

